Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009367 [DCSS] Bug Report crash always 2014-12-27 15:42 2014-12-30 07:12
Reporter aleksil View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009367: Assertion fails when loading a save
Description On loading one of my saves, the game crashes with the text:
ASSERT(!(flags & SFLAG_UNSET) || type == SV_NONE) in 'store.cc' at line 592 failed.

The issue is repeatable with that save, another save loads fine.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Infernus-20141227-163633.txt [^] (3,177 bytes) 2014-12-27 15:42 [Show Content]
? file icon Infernus.cs [^] (483,080 bytes) 2014-12-27 15:43

- Relationships

-  Notes
(0028174)
neil (administrator)
2014-12-30 04:54
edited on: 2014-12-30 04:54

Fixed in trunk (0.16-a0-3393-g26d7af2), thanks! You managed to get 179 chunks, but we didn't correctly handle more than 127. Your save should load properly in latest trunk.

This doesn't fix whatever bug made your 179 chunks never rot. I suspect that was already corrected by the recent delayed_decay fixes, but that doesn't affect your save. That many preservatives can't be healthy though.


- Issue History
Date Modified Username Field Change
2014-12-27 15:42 aleksil New Issue
2014-12-27 15:42 aleksil File Added: crash-Infernus-20141227-163633.txt
2014-12-27 15:43 aleksil File Added: Infernus.cs
2014-12-27 15:43 aleksil Issue Monitored: aleksil
2014-12-30 04:54 neil Note Added: 0028174
2014-12-30 04:54 neil Note Edited: 0028174
2014-12-30 07:12 neil Status new => resolved
2014-12-30 07:12 neil Fixed in Branch => 0.16 development branch
2014-12-30 07:12 neil Resolution open => done
2014-12-30 07:12 neil Assigned To => neil
2014-12-31 15:02 aleksil Issue End Monitor: aleksil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker